LibreOffice: XTreeEditListener Interface Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XTreeEditListener Interface Reference

You can implement this interface and register with XTreeControl::addTreeEditListener() to get notifications when editing of a node starts and ends. More...

`import"XTreeEditListener.idl";`

Inheritance diagram for XTreeEditListener:

## Public Member Functions
void | nodeEditing ([in] XTreeNode Node) raises ( ::com::sun::star::util::VetoException )
| This method is called from the TreeControl implementation when editing of Node is requested by calling XTreeControl::startEditingAtNode(). More...
void | nodeEdited ([in] XTreeNode Node, [in] string NewText)
| This method is called from the TreeControl implementation when editing of Node is finished and was not canceled. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

You can implement this interface and register with XTreeControl::addTreeEditListener() to get notifications when editing of a node starts and ends.

You have to set the TreeControlModel::Editable property to `TRUE` before a tree supports editing.

## Member Function Documentation

## ◆ nodeEdited()

void nodeEdited | ( | [in] XTreeNode | Node,
|  | [in] string | NewText
| ) |  |

This method is called from the TreeControl implementation when editing of Node is finished and was not canceled.

Implementations that register a XTreeEditListener must update the display value at the Node.

Parameters

  Node | the XTreeNode for that an edit request was fired by calling XTreeControl::startEditingAtNode()
  NewText | the text that was entered by the user.

## ◆ nodeEditing()

void nodeEditing | ( | [in] XTreeNode | Node | ) |
raises | ( | ::com::sun::star::util::VetoException
| ) |  |

This method is called from the TreeControl implementation when editing of Node is requested by calling XTreeControl::startEditingAtNode().

Parameters

  Node | the XTreeNode for that an edit request was fired by calling XTreeControl::startEditingAtNode()

Exceptions

  VetoException | if thrown the editing will not start.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/tree/XTreeEditListener.idl